document.addEventListener('DOMContentLoaded', function () {
    const modern_corporate_button = document.querySelector('.scroll-top-button');
    const modern_corporate_link = document.querySelector('.scroll-top-button a');

    // Show/Hide button on scroll
    window.addEventListener('scroll', function () {
        if (document.documentElement.scrollTop > 100) {
            modern_corporate_button.style.display = "block";
        } else {
            modern_corporate_button.style.display = "none";
        }
    });

    // Scroll to top on click
    if (modern_corporate_link) {
        modern_corporate_link.addEventListener('click', function (modern_corporate_event) {
            modern_corporate_event.preventDefault();
            window.scrollTo({
                top: 0,
                behavior: 'smooth'
            });
        });
    }

});